x86: de-duplicate sub-architecture strings accumulation
[binutils-gdb.git] / gas / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2012-2022 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 #
36 # Copyright (C) 2012-2022 Free Software Foundation, Inc.
37 #
38 # This file is free software; you can redistribute it and/or modify
39 # it under the terms of the GNU General Public License as published by
40 # the Free Software Foundation; either version 3 of the License, or
41 # (at your option) any later version.
42 #
43 # This program is distributed in the hope that it will be useful,
44 # but WITHOUT ANY WARRANTY; without even the implied warranty of
45 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
46 # GNU General Public License for more details.
47 #
48 # You should have received a copy of the GNU General Public License
49 # along with this program; see the file COPYING3. If not see
50 # <http://www.gnu.org/licenses/>.
51 #
52
53
54 VPATH = @srcdir@
55 am__is_gnu_make = { \
56 if test -z '$(MAKELEVEL)'; then \
57 false; \
58 elif test -n '$(MAKE_HOST)'; then \
59 true; \
60 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
61 true; \
62 else \
63 false; \
64 fi; \
65 }
66 am__make_running_with_option = \
67 case $${target_option-} in \
68 ?) ;; \
69 *) echo "am__make_running_with_option: internal error: invalid" \
70 "target option '$${target_option-}' specified" >&2; \
71 exit 1;; \
72 esac; \
73 has_opt=no; \
74 sane_makeflags=$$MAKEFLAGS; \
75 if $(am__is_gnu_make); then \
76 sane_makeflags=$$MFLAGS; \
77 else \
78 case $$MAKEFLAGS in \
79 *\\[\ \ ]*) \
80 bs=\\; \
81 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
82 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
83 esac; \
84 fi; \
85 skip_next=no; \
86 strip_trailopt () \
87 { \
88 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
89 }; \
90 for flg in $$sane_makeflags; do \
91 test $$skip_next = yes && { skip_next=no; continue; }; \
92 case $$flg in \
93 *=*|--*) continue;; \
94 -*I) strip_trailopt 'I'; skip_next=yes;; \
95 -*I?*) strip_trailopt 'I';; \
96 -*O) strip_trailopt 'O'; skip_next=yes;; \
97 -*O?*) strip_trailopt 'O';; \
98 -*l) strip_trailopt 'l'; skip_next=yes;; \
99 -*l?*) strip_trailopt 'l';; \
100 -[dEDm]) skip_next=yes;; \
101 -[JT]) skip_next=yes;; \
102 esac; \
103 case $$flg in \
104 *$$target_option*) has_opt=yes; break;; \
105 esac; \
106 done; \
107 test $$has_opt = yes
108 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
109 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
110 pkgdatadir = $(datadir)/@PACKAGE@
111 pkgincludedir = $(includedir)/@PACKAGE@
112 pkglibdir = $(libdir)/@PACKAGE@
113 pkglibexecdir = $(libexecdir)/@PACKAGE@
114 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
115 install_sh_DATA = $(install_sh) -c -m 644
116 install_sh_PROGRAM = $(install_sh) -c
117 install_sh_SCRIPT = $(install_sh) -c
118 INSTALL_HEADER = $(INSTALL_DATA)
119 transform = $(program_transform_name)
120 NORMAL_INSTALL = :
121 PRE_INSTALL = :
122 POST_INSTALL = :
123 NORMAL_UNINSTALL = :
124 PRE_UNINSTALL = :
125 POST_UNINSTALL = :
126 build_triplet = @build@
127 host_triplet = @host@
128 target_triplet = @target@
129 noinst_PROGRAMS = as-new$(EXEEXT)
130 EXTRA_PROGRAMS = itbl-test$(EXEEXT)
131 subdir = .
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
134 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
135 $(top_srcdir)/../config/depstand.m4 \
136 $(top_srcdir)/../config/gettext-sister.m4 \
137 $(top_srcdir)/../config/jobserver.m4 \
138 $(top_srcdir)/../config/largefile.m4 \
139 $(top_srcdir)/../config/lcmessage.m4 \
140 $(top_srcdir)/../config/lead-dot.m4 \
141 $(top_srcdir)/../config/nls.m4 \
142 $(top_srcdir)/../config/override.m4 \
143 $(top_srcdir)/../config/plugins.m4 \
144 $(top_srcdir)/../config/po.m4 \
145 $(top_srcdir)/../config/progtest.m4 \
146 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
147 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
148 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
149 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../bfd/version.m4 \
150 $(top_srcdir)/configure.ac
151 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
152 $(ACLOCAL_M4)
153 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
154 $(am__configure_deps)
155 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
156 configure.lineno config.status.lineno
157 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
158 CONFIG_HEADER = config.h
159 CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
160 CONFIG_CLEAN_VPATH_FILES =
161 PROGRAMS = $(noinst_PROGRAMS)
162 am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
163 compress-debug.$(OBJEXT) cond.$(OBJEXT) depend.$(OBJEXT) \
164 dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) ecoff.$(OBJEXT) \
165 ehopt.$(OBJEXT) expr.$(OBJEXT) flonum-copy.$(OBJEXT) \
166 flonum-konst.$(OBJEXT) flonum-mult.$(OBJEXT) frags.$(OBJEXT) \
167 hash.$(OBJEXT) input-file.$(OBJEXT) input-scrub.$(OBJEXT) \
168 listing.$(OBJEXT) literal.$(OBJEXT) macro.$(OBJEXT) \
169 messages.$(OBJEXT) output-file.$(OBJEXT) read.$(OBJEXT) \
170 remap.$(OBJEXT) sb.$(OBJEXT) stabs.$(OBJEXT) subsegs.$(OBJEXT) \
171 symbols.$(OBJEXT) write.$(OBJEXT)
172 am_as_new_OBJECTS = $(am__objects_1)
173 am__dirstamp = $(am__leading_dot)dirstamp
174 as_new_OBJECTS = $(am_as_new_OBJECTS)
175 am__DEPENDENCIES_1 =
176 am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
177 AM_V_lt = $(am__v_lt_@AM_V@)
178 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
179 am__v_lt_0 = --silent
180 am__v_lt_1 =
181 am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
182 itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
183 itbl_test_DEPENDENCIES = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ \
184 $(am__DEPENDENCIES_2)
185 SCRIPTS = $(noinst_SCRIPTS)
186 AM_V_P = $(am__v_P_@AM_V@)
187 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
188 am__v_P_0 = false
189 am__v_P_1 = :
190 AM_V_GEN = $(am__v_GEN_@AM_V@)
191 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
192 am__v_GEN_0 = @echo " GEN " $@;
193 am__v_GEN_1 =
194 AM_V_at = $(am__v_at_@AM_V@)
195 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
196 am__v_at_0 = @
197 am__v_at_1 =
198 DEFAULT_INCLUDES = -I.@am__isrc@
199 depcomp = $(SHELL) $(top_srcdir)/../depcomp
200 am__depfiles_maybe = depfiles
201 am__mv = mv -f
202 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207 $(AM_CFLAGS) $(CFLAGS)
208 AM_V_CC = $(am__v_CC_@AM_V@)
209 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
210 am__v_CC_0 = @echo " CC " $@;
211 am__v_CC_1 =
212 CCLD = $(CC)
213 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215 $(AM_LDFLAGS) $(LDFLAGS) -o $@
216 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
217 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
218 am__v_CCLD_0 = @echo " CCLD " $@;
219 am__v_CCLD_1 =
220 @MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
221 LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
222 LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
223 $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
224 AM_V_LEX = $(am__v_LEX_@AM_V@)
225 am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
226 am__v_LEX_0 = @echo " LEX " $@;
227 am__v_LEX_1 =
228 YLWRAP = $(top_srcdir)/../ylwrap
229 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
230 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
231 -e s/c++$$/h++/ -e s/c$$/h/
232 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
233 LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
234 $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
235 AM_V_YACC = $(am__v_YACC_@AM_V@)
236 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
237 am__v_YACC_0 = @echo " YACC " $@;
238 am__v_YACC_1 =
239 SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
240 $(itbl_test_SOURCES)
241 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
242 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
243 am__v_DVIPS_0 = @echo " DVIPS " $@;
244 am__v_DVIPS_1 =
245 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
246 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
247 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
248 am__v_MAKEINFO_1 =
249 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
250 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
251 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
252 am__v_INFOHTML_1 =
253 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
254 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
255 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
256 am__v_TEXI2DVI_1 =
257 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
258 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
259 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
260 am__v_TEXI2PDF_1 =
261 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
262 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
263 am__v_texinfo_0 = -q
264 am__v_texinfo_1 =
265 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
266 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
267 am__v_texidevnull_0 = > /dev/null
268 am__v_texidevnull_1 =
269 INFO_DEPS = doc/as.info
270 TEXINFO_TEX = $(top_srcdir)/../texinfo.tex
271 am__TEXINFO_TEX_DIR = $(top_srcdir)/..
272 DVIS = doc/as.dvi
273 PDFS = doc/as.pdf
274 PSS = doc/as.ps
275 HTMLS = doc/as.html
276 TEXINFOS = doc/as.texi
277 TEXI2PDF = $(TEXI2DVI) --pdf --batch
278 MAKEINFOHTML = $(MAKEINFO) --html
279 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
280 DVIPS = dvips
281 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
282 ctags-recursive dvi-recursive html-recursive info-recursive \
283 install-data-recursive install-dvi-recursive \
284 install-exec-recursive install-html-recursive \
285 install-info-recursive install-pdf-recursive \
286 install-ps-recursive install-recursive installcheck-recursive \
287 installdirs-recursive pdf-recursive ps-recursive \
288 tags-recursive uninstall-recursive
289 am__can_run_installinfo = \
290 case $$AM_UPDATE_INFO_DIR in \
291 n|no|NO) false;; \
292 *) (install-info --version) >/dev/null 2>&1;; \
293 esac
294 am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
295 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
296 am__vpath_adj = case $$p in \
297 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
298 *) f=$$p;; \
299 esac;
300 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
301 am__install_max = 40
302 am__nobase_strip_setup = \
303 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
304 am__nobase_strip = \
305 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
306 am__nobase_list = $(am__nobase_strip_setup); \
307 for p in $$list; do echo "$$p $$p"; done | \
308 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
309 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
310 if (++n[$$2] == $(am__install_max)) \
311 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
312 END { for (dir in files) print dir, files[dir] }'
313 am__base_list = \
314 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
315 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
316 am__uninstall_files_from_dir = { \
317 test -z "$$files" \
318 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
319 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
320 $(am__cd) "$$dir" && rm -f $$files; }; \
321 }
322 man1dir = $(mandir)/man1
323 NROFF = nroff
324 MANS = $(man_MANS)
325 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
326 distclean-recursive maintainer-clean-recursive
327 am__recursive_targets = \
328 $(RECURSIVE_TARGETS) \
329 $(RECURSIVE_CLEAN_TARGETS) \
330 $(am__extra_recursive_targets)
331 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
332 cscope
333 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
334 $(LISP)config.in
335 # Read a list of newline-separated strings from the standard input,
336 # and print each of them once, without duplicates. Input order is
337 # *not* preserved.
338 am__uniquify_input = $(AWK) '\
339 BEGIN { nonempty = 0; } \
340 { items[$$0] = 1; nonempty = 1; } \
341 END { if (nonempty) { for (i in items) print i; }; } \
342 '
343 # Make sure the list of sources is unique. This is necessary because,
344 # e.g., the same source file might be shared among _SOURCES variables
345 # for different programs/libraries.
346 am__define_uniq_tagged_files = \
347 list='$(am__tagged_files)'; \
348 unique=`for i in $$list; do \
349 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
350 done | $(am__uniquify_input)`
351 ETAGS = etags
352 CTAGS = ctags
353 CSCOPE = cscope
354 DEJATOOL = $(PACKAGE)
355 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
356 DIST_SUBDIRS = $(SUBDIRS)
357 ACLOCAL = @ACLOCAL@
358 AMTAR = @AMTAR@
359 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
360 AR = @AR@
361 AUTOCONF = @AUTOCONF@
362 AUTOHEADER = @AUTOHEADER@
363 AUTOMAKE = @AUTOMAKE@
364 AWK = @AWK@
365 CATALOGS = @CATALOGS@
366 CATOBJEXT = @CATOBJEXT@
367 CC = @CC@
368 CCDEPMODE = @CCDEPMODE@
369 CFLAGS = @CFLAGS@
370 CPP = @CPP@
371 CPPFLAGS = @CPPFLAGS@
372 CYGPATH_W = @CYGPATH_W@
373 DATADIRNAME = @DATADIRNAME@
374 DEFS = @DEFS@
375 DEPDIR = @DEPDIR@
376 DSYMUTIL = @DSYMUTIL@
377 DUMPBIN = @DUMPBIN@
378 ECHO_C = @ECHO_C@
379 ECHO_N = @ECHO_N@
380 ECHO_T = @ECHO_T@
381 EGREP = @EGREP@
382 EXEEXT = @EXEEXT@
383 FGREP = @FGREP@
384 GDBINIT = @GDBINIT@
385 GENCAT = @GENCAT@
386 GMSGFMT = @GMSGFMT@
387 GREP = @GREP@
388 INCINTL = @INCINTL@
389 INSTALL = @INSTALL@
390 INSTALL_DATA = @INSTALL_DATA@
391 INSTALL_PROGRAM = @INSTALL_PROGRAM@
392 INSTALL_SCRIPT = @INSTALL_SCRIPT@
393 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
394 INSTOBJEXT = @INSTOBJEXT@
395 LARGEFILE_CPPFLAGS = @LARGEFILE_CPPFLAGS@
396 LD = @LD@
397 LDFLAGS = @LDFLAGS@
398 LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo @LEX@ ; fi`
399 LEXLIB = @LEXLIB@
400 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
401 LIBINTL = @LIBINTL@
402 LIBINTL_DEP = @LIBINTL_DEP@
403 LIBM = @LIBM@
404 LIBOBJS = @LIBOBJS@
405 LIBS = @LIBS@
406 LIBTOOL = @LIBTOOL@
407 LIPO = @LIPO@
408 LN_S = @LN_S@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MKDIR_P = @MKDIR_P@
413 MKINSTALLDIRS = @MKINSTALLDIRS@
414 MSGFMT = @MSGFMT@
415 MSGMERGE = @MSGMERGE@
416 NM = @NM@
417 NMEDIT = @NMEDIT@
418 NO_WERROR = @NO_WERROR@
419 OBJDUMP = @OBJDUMP@
420 OBJEXT = @OBJEXT@
421 OPCODES_LIB = @OPCODES_LIB@
422 OTOOL = @OTOOL@
423 OTOOL64 = @OTOOL64@
424 PACKAGE = @PACKAGE@
425 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
426 PACKAGE_NAME = @PACKAGE_NAME@
427 PACKAGE_STRING = @PACKAGE_STRING@
428 PACKAGE_TARNAME = @PACKAGE_TARNAME@
429 PACKAGE_URL = @PACKAGE_URL@
430 PACKAGE_VERSION = @PACKAGE_VERSION@
431 PATH_SEPARATOR = @PATH_SEPARATOR@
432 POSUB = @POSUB@
433 RANLIB = @RANLIB@
434 SED = @SED@
435 SET_MAKE = @SET_MAKE@
436 SHELL = @SHELL@
437 STRIP = @STRIP@
438 USE_NLS = @USE_NLS@
439 VERSION = @VERSION@
440 WARN_CFLAGS = @WARN_CFLAGS@ @WARN_WRITE_STRINGS@
441 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
442 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
443 XGETTEXT = @XGETTEXT@
444 YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo @YACC@ ; fi`
445 YFLAGS = @YFLAGS@
446 abs_builddir = @abs_builddir@
447 abs_srcdir = @abs_srcdir@
448 abs_top_builddir = @abs_top_builddir@
449 abs_top_srcdir = @abs_top_srcdir@
450 ac_ct_CC = @ac_ct_CC@
451 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
452 am__include = @am__include@
453 am__leading_dot = @am__leading_dot@
454 am__quote = @am__quote@
455 am__tar = @am__tar@
456 am__untar = @am__untar@
457 atof = @atof@
458 bindir = @bindir@
459 build = @build@
460 build_alias = @build_alias@
461 build_cpu = @build_cpu@
462 build_os = @build_os@
463 build_vendor = @build_vendor@
464 builddir = @builddir@
465 cgen_cpu_prefix = @cgen_cpu_prefix@
466 datadir = @datadir@
467 datarootdir = @datarootdir@
468 do_compare = @do_compare@
469 docdir = @docdir@
470 dvidir = @dvidir@
471 exec_prefix = @exec_prefix@
472 extra_objects = @extra_objects@
473 host = @host@
474 host_alias = @host_alias@
475 host_cpu = @host_cpu@
476 host_os = @host_os@
477 host_vendor = @host_vendor@
478 htmldir = @htmldir@
479 includedir = @includedir@
480 infodir = @infodir@
481 install_sh = @install_sh@
482 install_tooldir = @install_tooldir@
483 libdir = @libdir@
484 libexecdir = @libexecdir@
485 localedir = @localedir@
486 localstatedir = @localstatedir@
487 mandir = @mandir@
488 mkdir_p = @mkdir_p@
489 obj_format = @obj_format@
490 oldincludedir = @oldincludedir@
491 pdfdir = @pdfdir@
492 prefix = @prefix@
493 program_transform_name = @program_transform_name@
494 psdir = @psdir@
495 sbindir = @sbindir@
496 sharedstatedir = @sharedstatedir@
497 srcdir = @srcdir@
498 sysconfdir = @sysconfdir@
499 target = @target@
500 target_alias = @target_alias@
501 target_cpu = @target_cpu@
502 target_cpu_type = @target_cpu_type@
503 target_os = @target_os@
504 target_vendor = @target_vendor@
505 te_file = @te_file@
506 top_build_prefix = @top_build_prefix@
507 top_builddir = @top_builddir@
508 top_srcdir = @top_srcdir@
509 zlibdir = @zlibdir@
510 zlibinc = @zlibinc@
511 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects info-in-builddir no-texinfo.tex
512 ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
513 MAINTAINERCLEANFILES = doc/asconfig.texi doc/as.info
514 SUBDIRS = po
515 tooldir = $(exec_prefix)/$(target_alias)
516
517 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
518 # -I../zlib, unless we were configured with --with-system-zlib, in which
519 # case both are empty.
520 ZLIB = @zlibdir@ -lz
521 ZLIBINC = @zlibinc@
522
523 # Automake 1.10+ disables lex and yacc output file regeneration if
524 # maintainer mode is disabled. Avoid this.
525 am__skiplex =
526 am__skipyacc =
527 AM_CFLAGS = $(WARN_CFLAGS) $(ZLIBINC)
528 TARG_CPU = @target_cpu_type@
529 TARG_CPU_C = $(srcdir)/config/tc-@target_cpu_type@.c
530 TARG_CPU_O = config/tc-@target_cpu_type@.@OBJEXT@
531 TARG_CPU_H = $(srcdir)/config/tc-@target_cpu_type@.h
532 OBJ_FORMAT_C = $(srcdir)/config/obj-@obj_format@.c
533 OBJ_FORMAT_O = config/obj-@obj_format@.@OBJEXT@
534 OBJ_FORMAT_H = $(srcdir)/config/obj-@obj_format@.h
535 TARG_ENV_H = $(srcdir)/config/te-@te_file@.h
536 ATOF_TARG_C = $(srcdir)/config/atof-@atof@.c
537 ATOF_TARG_O = config/atof-@atof@.@OBJEXT@
538
539 # use @target_cpu_type@ for refering to configured target name
540 IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
541 IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
542 IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-@target_cpu_type@.h
543 IT_OBJS = itbl-parse.@OBJEXT@ itbl-lex.@OBJEXT@ itbl-ops.@OBJEXT@
544
545 # Regular source files.
546 GAS_CFILES = \
547 app.c \
548 as.c \
549 atof-generic.c \
550 compress-debug.c \
551 cond.c \
552 depend.c \
553 dwarf2dbg.c \
554 dw2gencfi.c \
555 ecoff.c \
556 ehopt.c \
557 expr.c \
558 flonum-copy.c \
559 flonum-konst.c \
560 flonum-mult.c \
561 frags.c \
562 hash.c \
563 input-file.c \
564 input-scrub.c \
565 listing.c \
566 literal.c \
567 macro.c \
568 messages.c \
569 output-file.c \
570 read.c \
571 remap.c \
572 sb.c \
573 stabs.c \
574 subsegs.c \
575 symbols.c \
576 write.c
577
578 CFILES = $(GAS_CFILES) itbl-ops.c cgen.c
579 HFILES = \
580 as.h \
581 asintl.h \
582 bignum.h \
583 bit_fix.h \
584 cgen.h \
585 compress-debug.h \
586 dwarf2dbg.h \
587 dw2gencfi.h \
588 ecoff.h \
589 emul-target.h \
590 emul.h \
591 expr.h \
592 flonum.h \
593 frags.h \
594 hash.h \
595 input-file.h \
596 itbl-lex.h \
597 itbl-ops.h \
598 listing.h \
599 macro.h \
600 obj.h \
601 output-file.h \
602 read.h \
603 sb.h \
604 subsegs.h \
605 symbols.h \
606 tc.h \
607 write.h
608
609
610 # CPU files in config.
611 TARGET_CPU_CFILES = \
612 config/tc-aarch64.c \
613 config/tc-alpha.c \
614 config/tc-arc.c \
615 config/tc-arm.c \
616 config/tc-avr.c \
617 config/tc-bfin.c \
618 config/tc-bpf.c \
619 config/tc-cr16.c \
620 config/tc-cris.c \
621 config/tc-crx.c \
622 config/tc-csky.c \
623 config/tc-d10v.c \
624 config/tc-d30v.c \
625 config/tc-dlx.c \
626 config/tc-epiphany.c \
627 config/tc-fr30.c \
628 config/tc-frv.c \
629 config/tc-ft32.c \
630 config/tc-h8300.c \
631 config/tc-hppa.c \
632 config/tc-ia64.c \
633 config/tc-i386.c \
634 config/tc-ip2k.c \
635 config/tc-iq2000.c \
636 config/tc-lm32.c \
637 config/tc-loongarch.c \
638 config/tc-m32c.c \
639 config/tc-m32r.c \
640 config/tc-m68hc11.c \
641 config/tc-m68k.c \
642 config/tc-s12z.c \
643 config/tc-mcore.c \
644 config/tc-mep.c \
645 config/tc-metag.c \
646 config/tc-microblaze.c \
647 config/tc-mips.c \
648 config/tc-mmix.c \
649 config/tc-mn10200.c \
650 config/tc-mn10300.c \
651 config/tc-moxie.c \
652 config/tc-msp430.c \
653 config/tc-mt.c \
654 config/tc-nds32.c \
655 config/tc-nios2.c \
656 config/tc-ns32k.c \
657 config/tc-or1k.c \
658 config/tc-pdp11.c \
659 config/tc-pj.c \
660 config/tc-ppc.c \
661 config/tc-pru.c \
662 config/tc-riscv.c \
663 config/tc-rl78.c \
664 config/tc-rx.c \
665 config/tc-s390.c \
666 config/tc-score.c \
667 config/tc-sh.c \
668 config/tc-sparc.c \
669 config/tc-spu.c \
670 config/tc-tic30.c \
671 config/tc-tic4x.c \
672 config/tc-tic54x.c \
673 config/tc-tic6x.c \
674 config/tc-tilegx.c \
675 config/tc-tilepro.c \
676 config/tc-v850.c \
677 config/tc-vax.c \
678 config/tc-visium.c \
679 config/tc-wasm32.c \
680 config/tc-xstormy16.c \
681 config/tc-xgate.c \
682 config/tc-xtensa.c \
683 config/tc-z80.c \
684 config/tc-z8k.c
685
686 TARGET_CPU_HFILES = \
687 config/tc-aarch64.h \
688 config/tc-alpha.h \
689 config/tc-arc.h \
690 config/tc-arm.h \
691 config/tc-avr.h \
692 config/tc-bfin.h \
693 config/tc-bpf.h \
694 config/tc-cr16.h \
695 config/tc-cris.h \
696 config/tc-crx.h \
697 config/tc-csky.h \
698 config/tc-d10v.h \
699 config/tc-d30v.h \
700 config/tc-dlx.h \
701 config/tc-epiphany.h \
702 config/tc-fr30.h \
703 config/tc-frv.h \
704 config/tc-ft32.h \
705 config/tc-h8300.h \
706 config/tc-hppa.h \
707 config/tc-ia64.h \
708 config/tc-i386.h \
709 config/tc-ip2k.h \
710 config/tc-iq2000.h \
711 config/tc-lm32.h \
712 config/tc-m32c.h \
713 config/tc-m32r.h \
714 config/tc-m68hc11.h \
715 config/tc-m68k.h \
716 config/tc-s12z.h \
717 config/tc-mcore.h \
718 config/tc-mep.h \
719 config/tc-metag.h \
720 config/tc-microblaze.h \
721 config/tc-mips.h \
722 config/tc-mmix.h \
723 config/tc-mn10200.h \
724 config/tc-mn10300.h \
725 config/tc-msp430.h \
726 config/tc-mt.h \
727 config/tc-nds32.h \
728 config/tc-nios2.h \
729 config/tc-ns32k.h \
730 config/tc-or1k.h \
731 config/tc-pdp11.h \
732 config/tc-pj.h \
733 config/tc-ppc.h \
734 config/tc-pru.h \
735 config/tc-riscv.h \
736 config/tc-rl78.h \
737 config/tc-rx.h \
738 config/tc-s390.h \
739 config/tc-score.h \
740 config/tc-sh.h \
741 config/tc-sparc.h \
742 config/tc-spu.h \
743 config/tc-tic30.h \
744 config/tc-tic4x.h \
745 config/tc-tic54x.h \
746 config/tc-tic6x.h \
747 config/tc-tilegx.h \
748 config/tc-tilepro.h \
749 config/tc-v850.h \
750 config/tc-vax.h \
751 config/tc-visium.h \
752 config/tc-wasm32.h \
753 config/tc-xstormy16.h \
754 config/tc-xgate.h \
755 config/tc-xtensa.h \
756 config/tc-z80.h \
757 config/tc-z8k.h
758
759 TARGET_EXTRA_FILES = \
760 config/bfin-lex-wrapper.c \
761 config/xtensa-relax.c \
762 config/xtensa-relax.h
763
764
765 # OBJ files in config
766 OBJ_FORMAT_CFILES = \
767 config/obj-aout.c \
768 config/obj-coff.c \
769 config/obj-ecoff.c \
770 config/obj-elf.c \
771 config/obj-evax.c \
772 config/obj-fdpicelf.c \
773 config/obj-macho.c \
774 config/obj-multi.c \
775 config/obj-som.c
776
777 OBJ_FORMAT_HFILES = \
778 config/obj-aout.h \
779 config/obj-coff.h \
780 config/obj-ecoff.h \
781 config/obj-elf.h \
782 config/obj-evax.h \
783 config/obj-fdpicelf.h \
784 config/obj-macho.h \
785 config/obj-multi.h \
786 config/obj-som.h
787
788
789 # Emulation header files in config
790 TARG_ENV_HFILES = \
791 config/te-386bsd.h \
792 config/te-aix5.h \
793 config/te-armeabi.h \
794 config/te-armfbsdeabi.h \
795 config/te-armfbsdvfp.h \
796 config/te-armlinuxeabi.h \
797 config/te-csky_abiv1.h \
798 config/te-csky_abiv1_linux.h \
799 config/te-csky_abiv2.h \
800 config/te-csky_abiv2_linux.h \
801 config/te-freebsd.h \
802 config/te-generic.h \
803 config/te-gnu.h \
804 config/te-go32.h \
805 config/te-hppa.h \
806 config/te-hppa64.h \
807 config/te-hppalinux64.h \
808 config/te-ia64aix.h \
809 config/te-interix.h \
810 config/te-lynx.h \
811 config/te-macos.h \
812 config/te-nbsd.h \
813 config/te-nbsd532.h \
814 config/te-pc532mach.h \
815 config/te-pe.h \
816 config/te-solaris.h \
817 config/te-svr4.h \
818 config/te-tmips.h \
819 config/te-vxworks.h \
820 config/te-wince-pe.h
821
822 TARG_ENV_CFILES = \
823 config/te-vms.c
824
825
826 # Multi files in config
827 MULTI_CFILES = \
828 config/e-crisaout.c \
829 config/e-criself.c \
830 config/e-i386aout.c \
831 config/e-i386coff.c \
832 config/e-i386elf.c \
833 config/e-mipself.c
834
835 CONFIG_ATOF_CFILES = \
836 config/atof-ieee.c \
837 config/atof-vax.c
838
839 POTFILES = $(MULTI_CFILES) $(CONFIG_ATOF_CFILES) \
840 $(TARG_ENV_HFILES) $(TARG_ENV_CFILES) $(OBJ_FORMAT_HFILES) \
841 $(OBJ_FORMAT_CFILES) $(TARGET_CPU_HFILES) $(TARGET_CPU_CFILES) \
842 $(TARGET_EXTRA_FILES) $(HFILES) $(CFILES)
843
844 noinst_SCRIPTS = $(GDBINIT)
845 EXTRA_SCRIPTS = .gdbinit
846 EXTRA_DIST = config/m68k-parse.c itbl-parse.c itbl-parse.h itbl-lex.c \
847 config/bfin-parse.c config/bfin-parse.h config/bfin-lex.c \
848 config/rl78-parse.c config/rl78-parse.h \
849 config/rx-parse.c config/rx-parse.h \
850 config/loongarch-parse.c config/loongarch-parse.h config/loongarch-lex.c
851
852 DISTCLEANFILES = targ-cpu.h obj-format.h targ-env.h itbl-cpu.h cgen-desc.h
853
854 # Now figure out from those variables how to compile and link.
855 BASEDIR = $(srcdir)/..
856 BFDDIR = $(BASEDIR)/bfd
857 INCDIR = $(BASEDIR)/include
858
859 # This is the variable actually used when we compile.
860 # Specify the directories to be searched for header files.
861 # Both . and srcdir are used, in that order,
862 # so that tm.h and config.h will be found in the compilation
863 # subdirectory rather than in the source directory.
864 AM_CPPFLAGS = -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
865 -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ @LARGEFILE_CPPFLAGS@ \
866 -DLOCALEDIR="\"$(datadir)/locale\""
867
868
869 # How to link with both our special library facilities
870 # and the system's installed libraries.
871 GASLIBS = @OPCODES_LIB@ ../bfd/libbfd.la ../libiberty/libiberty.a
872
873 # Files to be copied away after each stage in building.
874 STAGESTUFF = *.@OBJEXT@ $(noinst_PROGRAMS)
875 as_new_SOURCES = $(GAS_CFILES)
876 as_new_LDADD = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
877 $(extra_objects) $(GASLIBS) $(LIBINTL) $(LIBM) $(ZLIB)
878
879 as_new_DEPENDENCIES = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
880 $(extra_objects) $(GASLIBS) $(LIBINTL_DEP)
881
882
883 # The LoongArch lexical analyzer and parser.
884 EXTRA_as_new_SOURCES = $(CFILES) $(HFILES) $(TARGET_CPU_CFILES) \
885 $(TARGET_CPU_HFILES) $(TARGET_EXTRA_FILES) $(TARG_ENV_CFILES) \
886 $(OBJ_FORMAT_CFILES) $(OBJ_FORMAT_HFILES) \
887 $(CONFIG_ATOF_CFILES) $(MULTI_CFILES) config/m68k-parse.y \
888 config/bfin-parse.y config/bfin-lex.l config/rl78-parse.y \
889 config/rx-parse.y config/loongarch-parse.y \
890 config/loongarch-lex.l
891 EXPECT = expect
892 RUNTEST = runtest
893 RUNTESTFLAGS =
894 itbl_test_SOURCES = itbl-parse.y itbl-lex.l
895 itbl_test_LDADD = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ $(GASLIBS) @LEXLIB@
896
897 # CGEN interface.
898 CGEN_CPU_PREFIX = @cgen_cpu_prefix@
899
900 # Remake the info files.
901 MOSTLYCLEANFILES = $(STAGESTUFF) core \
902 testsuite/*.@OBJEXT@ testsuite/*.out testsuite/gas.log testsuite/gas.sum \
903 testsuite/site.exp site.bak site.exp development.exp stage stage1 stage2
904
905 against = stage2
906
907 # Reconfigure if configure.tgt changes.
908 # development.sh is used to determine -Werror default.
909 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/configure.tgt $(BFDDIR)/development.sh
910 EXTRA_DEJAGNU_SITE_CONFIG = development.exp
911
912 # What version of the manual you want; "all" includes everything
913 CONFIG = all
914
915 # Options to extract the man page from as.texi
916 MANCONF = -Dman
917 TEXI2POD = perl $(BASEDIR)/etc/texi2pod.pl $(AM_MAKEINFOFLAGS)
918 POD2MAN = pod2man --center="GNU Development Tools" \
919 --release="binutils-$(VERSION)" --section=1
920
921 man_MANS = doc/as.1
922 info_TEXINFOS = doc/as.texi
923 doc_as_TEXINFOS = doc/asconfig.texi $(CPU_DOCS)
924 AM_MAKEINFOFLAGS = -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
925 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc \
926 --no-split
927
928 TEXI2DVI = texi2dvi -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
929 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc
930
931 CPU_DOCS = \
932 doc/c-aarch64.texi \
933 doc/c-alpha.texi \
934 doc/c-arc.texi \
935 doc/c-arm.texi \
936 doc/c-avr.texi \
937 doc/c-bfin.texi \
938 doc/c-bpf.texi \
939 doc/c-cr16.texi \
940 doc/c-cris.texi \
941 doc/c-csky.texi \
942 doc/c-d10v.texi \
943 doc/c-epiphany.texi \
944 doc/c-h8300.texi \
945 doc/c-hppa.texi \
946 doc/c-i386.texi \
947 doc/c-ip2k.texi \
948 doc/c-lm32.texi \
949 doc/c-m32c.texi \
950 doc/c-m32r.texi \
951 doc/c-m68hc11.texi \
952 doc/c-m68k.texi \
953 doc/c-s12z.texi \
954 doc/c-metag.texi \
955 doc/c-microblaze.texi \
956 doc/c-mips.texi \
957 doc/c-mmix.texi \
958 doc/c-mt.texi \
959 doc/c-msp430.texi \
960 doc/c-nios2.texi \
961 doc/c-nds32.texi \
962 doc/c-ns32k.texi \
963 doc/c-or1k.texi \
964 doc/c-pdp11.texi \
965 doc/c-pj.texi \
966 doc/c-ppc.texi \
967 doc/c-pru.texi \
968 doc/c-rl78.texi \
969 doc/c-riscv.texi \
970 doc/c-rx.texi \
971 doc/c-s390.texi \
972 doc/c-score.texi \
973 doc/c-sh.texi \
974 doc/c-sparc.texi \
975 doc/c-tic54x.texi \
976 doc/c-tic6x.texi \
977 doc/c-tilegx.texi \
978 doc/c-tilepro.texi \
979 doc/c-v850.texi \
980 doc/c-vax.texi \
981 doc/c-visium.texi \
982 doc/c-xgate.texi \
983 doc/c-xstormy16.texi \
984 doc/c-xtensa.texi \
985 doc/c-z80.texi \
986 doc/c-z8k.texi
987
988
989 # This one isn't ready for prime time yet. Not even a little bit.
990 noinst_TEXINFOS = doc/internals.texi
991 all: config.h
992 $(MAKE) $(AM_MAKEFLAGS) all-recursive
993
994 .SUFFIXES:
995 .SUFFIXES: .c .dvi .l .lo .o .obj .ps .y
996 am--refresh: Makefile
997 @:
998 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/doc/local.mk $(am__configure_deps)
999 @for dep in $?; do \
1000 case '$(am__configure_deps)' in \
1001 *$$dep*) \
1002 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
1003 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1004 && exit 0; \
1005 exit 1;; \
1006 esac; \
1007 done; \
1008 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
1009 $(am__cd) $(top_srcdir) && \
1010 $(AUTOMAKE) --foreign Makefile
1011 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1012 @case '$?' in \
1013 *config.status*) \
1014 echo ' $(SHELL) ./config.status'; \
1015 $(SHELL) ./config.status;; \
1016 *) \
1017 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
1018 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
1019 esac;
1020 $(srcdir)/doc/local.mk $(am__empty):
1021
1022 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1023 $(SHELL) ./config.status --recheck
1024
1025 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1026 $(am__cd) $(srcdir) && $(AUTOCONF)
1027 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
1028 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1029 $(am__aclocal_m4_deps):
1030
1031 config.h: stamp-h1
1032 @test -f $@ || rm -f stamp-h1
1033 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1034
1035 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
1036 @rm -f stamp-h1
1037 cd $(top_builddir) && $(SHELL) ./config.status config.h
1038 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1039 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1040 rm -f stamp-h1
1041 touch $@
1042
1043 distclean-hdr:
1044 -rm -f config.h stamp-h1
1045 gdb.ini: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1046 cd $(top_builddir) && $(SHELL) ./config.status $@
1047 .gdbinit: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1048 cd $(top_builddir) && $(SHELL) ./config.status $@
1049 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
1050 cd $(top_builddir) && $(SHELL) ./config.status $@
1051
1052 clean-noinstPROGRAMS:
1053 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1054 echo " rm -f" $$list; \
1055 rm -f $$list || exit $$?; \
1056 test -n "$(EXEEXT)" || exit 0; \
1057 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1058 echo " rm -f" $$list; \
1059 rm -f $$list
1060 config/$(am__dirstamp):
1061 @$(MKDIR_P) config
1062 @: > config/$(am__dirstamp)
1063 config/$(DEPDIR)/$(am__dirstamp):
1064 @$(MKDIR_P) config/$(DEPDIR)
1065 @: > config/$(DEPDIR)/$(am__dirstamp)
1066 config/tc-aarch64.$(OBJEXT): config/$(am__dirstamp) \
1067 config/$(DEPDIR)/$(am__dirstamp)
1068 config/tc-alpha.$(OBJEXT): config/$(am__dirstamp) \
1069 config/$(DEPDIR)/$(am__dirstamp)
1070 config/tc-arc.$(OBJEXT): config/$(am__dirstamp) \
1071 config/$(DEPDIR)/$(am__dirstamp)
1072 config/tc-arm.$(OBJEXT): config/$(am__dirstamp) \
1073 config/$(DEPDIR)/$(am__dirstamp)
1074 config/tc-avr.$(OBJEXT): config/$(am__dirstamp) \
1075 config/$(DEPDIR)/$(am__dirstamp)
1076 config/tc-bfin.$(OBJEXT): config/$(am__dirstamp) \
1077 config/$(DEPDIR)/$(am__dirstamp)
1078 config/tc-bpf.$(OBJEXT): config/$(am__dirstamp) \
1079 config/$(DEPDIR)/$(am__dirstamp)
1080 config/tc-cr16.$(OBJEXT): config/$(am__dirstamp) \
1081 config/$(DEPDIR)/$(am__dirstamp)
1082 config/tc-cris.$(OBJEXT): config/$(am__dirstamp) \
1083 config/$(DEPDIR)/$(am__dirstamp)
1084 config/tc-crx.$(OBJEXT): config/$(am__dirstamp) \
1085 config/$(DEPDIR)/$(am__dirstamp)
1086 config/tc-csky.$(OBJEXT): config/$(am__dirstamp) \
1087 config/$(DEPDIR)/$(am__dirstamp)
1088 config/tc-d10v.$(OBJEXT): config/$(am__dirstamp) \
1089 config/$(DEPDIR)/$(am__dirstamp)
1090 config/tc-d30v.$(OBJEXT): config/$(am__dirstamp) \
1091 config/$(DEPDIR)/$(am__dirstamp)
1092 config/tc-dlx.$(OBJEXT): config/$(am__dirstamp) \
1093 config/$(DEPDIR)/$(am__dirstamp)
1094 config/tc-epiphany.$(OBJEXT): config/$(am__dirstamp) \
1095 config/$(DEPDIR)/$(am__dirstamp)
1096 config/tc-fr30.$(OBJEXT): config/$(am__dirstamp) \
1097 config/$(DEPDIR)/$(am__dirstamp)
1098 config/tc-frv.$(OBJEXT): config/$(am__dirstamp) \
1099 config/$(DEPDIR)/$(am__dirstamp)
1100 config/tc-ft32.$(OBJEXT): config/$(am__dirstamp) \
1101 config/$(DEPDIR)/$(am__dirstamp)
1102 config/tc-h8300.$(OBJEXT): config/$(am__dirstamp) \
1103 config/$(DEPDIR)/$(am__dirstamp)
1104 config/tc-hppa.$(OBJEXT): config/$(am__dirstamp) \
1105 config/$(DEPDIR)/$(am__dirstamp)
1106 config/tc-ia64.$(OBJEXT): config/$(am__dirstamp) \
1107 config/$(DEPDIR)/$(am__dirstamp)
1108 config/tc-i386.$(OBJEXT): config/$(am__dirstamp) \
1109 config/$(DEPDIR)/$(am__dirstamp)
1110 config/tc-ip2k.$(OBJEXT): config/$(am__dirstamp) \
1111 config/$(DEPDIR)/$(am__dirstamp)
1112 config/tc-iq2000.$(OBJEXT): config/$(am__dirstamp) \
1113 config/$(DEPDIR)/$(am__dirstamp)
1114 config/tc-lm32.$(OBJEXT): config/$(am__dirstamp) \
1115 config/$(DEPDIR)/$(am__dirstamp)
1116 config/tc-loongarch.$(OBJEXT): config/$(am__dirstamp) \
1117 config/$(DEPDIR)/$(am__dirstamp)
1118 config/tc-m32c.$(OBJEXT): config/$(am__dirstamp) \
1119 config/$(DEPDIR)/$(am__dirstamp)
1120 config/tc-m32r.$(OBJEXT): config/$(am__dirstamp) \
1121 config/$(DEPDIR)/$(am__dirstamp)
1122 config/tc-m68hc11.$(OBJEXT): config/$(am__dirstamp) \
1123 config/$(DEPDIR)/$(am__dirstamp)
1124 config/tc-m68k.$(OBJEXT): config/$(am__dirstamp) \
1125 config/$(DEPDIR)/$(am__dirstamp)
1126 config/tc-s12z.$(OBJEXT): config/$(am__dirstamp) \
1127 config/$(DEPDIR)/$(am__dirstamp)
1128 config/tc-mcore.$(OBJEXT): config/$(am__dirstamp) \
1129 config/$(DEPDIR)/$(am__dirstamp)
1130 config/tc-mep.$(OBJEXT): config/$(am__dirstamp) \
1131 config/$(DEPDIR)/$(am__dirstamp)
1132 config/tc-metag.$(OBJEXT): config/$(am__dirstamp) \
1133 config/$(DEPDIR)/$(am__dirstamp)
1134 config/tc-microblaze.$(OBJEXT): config/$(am__dirstamp) \
1135 config/$(DEPDIR)/$(am__dirstamp)
1136 config/tc-mips.$(OBJEXT): config/$(am__dirstamp) \
1137 config/$(DEPDIR)/$(am__dirstamp)
1138 config/tc-mmix.$(OBJEXT): config/$(am__dirstamp) \
1139 config/$(DEPDIR)/$(am__dirstamp)
1140 config/tc-mn10200.$(OBJEXT): config/$(am__dirstamp) \
1141 config/$(DEPDIR)/$(am__dirstamp)
1142 config/tc-mn10300.$(OBJEXT): config/$(am__dirstamp) \
1143 config/$(DEPDIR)/$(am__dirstamp)
1144 config/tc-moxie.$(OBJEXT): config/$(am__dirstamp) \
1145 config/$(DEPDIR)/$(am__dirstamp)
1146 config/tc-msp430.$(OBJEXT): config/$(am__dirstamp) \
1147 config/$(DEPDIR)/$(am__dirstamp)
1148 config/tc-mt.$(OBJEXT): config/$(am__dirstamp) \
1149 config/$(DEPDIR)/$(am__dirstamp)
1150 config/tc-nds32.$(OBJEXT): config/$(am__dirstamp) \
1151 config/$(DEPDIR)/$(am__dirstamp)
1152 config/tc-nios2.$(OBJEXT): config/$(am__dirstamp) \
1153 config/$(DEPDIR)/$(am__dirstamp)
1154 config/tc-ns32k.$(OBJEXT): config/$(am__dirstamp) \
1155 config/$(DEPDIR)/$(am__dirstamp)
1156 config/tc-or1k.$(OBJEXT): config/$(am__dirstamp) \
1157 config/$(DEPDIR)/$(am__dirstamp)
1158 config/tc-pdp11.$(OBJEXT): config/$(am__dirstamp) \
1159 config/$(DEPDIR)/$(am__dirstamp)
1160 config/tc-pj.$(OBJEXT): config/$(am__dirstamp) \
1161 config/$(DEPDIR)/$(am__dirstamp)
1162 config/tc-ppc.$(OBJEXT): config/$(am__dirstamp) \
1163 config/$(DEPDIR)/$(am__dirstamp)
1164 config/tc-pru.$(OBJEXT): config/$(am__dirstamp) \
1165 config/$(DEPDIR)/$(am__dirstamp)
1166 config/tc-riscv.$(OBJEXT): config/$(am__dirstamp) \
1167 config/$(DEPDIR)/$(am__dirstamp)
1168 config/tc-rl78.$(OBJEXT): config/$(am__dirstamp) \
1169 config/$(DEPDIR)/$(am__dirstamp)
1170 config/tc-rx.$(OBJEXT): config/$(am__dirstamp) \
1171 config/$(DEPDIR)/$(am__dirstamp)
1172 config/tc-s390.$(OBJEXT): config/$(am__dirstamp) \
1173 config/$(DEPDIR)/$(am__dirstamp)
1174 config/tc-score.$(OBJEXT): config/$(am__dirstamp) \
1175 config/$(DEPDIR)/$(am__dirstamp)
1176 config/tc-sh.$(OBJEXT): config/$(am__dirstamp) \
1177 config/$(DEPDIR)/$(am__dirstamp)
1178 config/tc-sparc.$(OBJEXT): config/$(am__dirstamp) \
1179 config/$(DEPDIR)/$(am__dirstamp)
1180 config/tc-spu.$(OBJEXT): config/$(am__dirstamp) \
1181 config/$(DEPDIR)/$(am__dirstamp)
1182 config/tc-tic30.$(OBJEXT): config/$(am__dirstamp) \
1183 config/$(DEPDIR)/$(am__dirstamp)
1184 config/tc-tic4x.$(OBJEXT): config/$(am__dirstamp) \
1185 config/$(DEPDIR)/$(am__dirstamp)
1186 config/tc-tic54x.$(OBJEXT): config/$(am__dirstamp) \
1187 config/$(DEPDIR)/$(am__dirstamp)
1188 config/tc-tic6x.$(OBJEXT): config/$(am__dirstamp) \
1189 config/$(DEPDIR)/$(am__dirstamp)
1190 config/tc-tilegx.$(OBJEXT): config/$(am__dirstamp) \
1191 config/$(DEPDIR)/$(am__dirstamp)
1192 config/tc-tilepro.$(OBJEXT): config/$(am__dirstamp) \
1193 config/$(DEPDIR)/$(am__dirstamp)
1194 config/tc-v850.$(OBJEXT): config/$(am__dirstamp) \
1195 config/$(DEPDIR)/$(am__dirstamp)
1196 config/tc-vax.$(OBJEXT): config/$(am__dirstamp) \
1197 config/$(DEPDIR)/$(am__dirstamp)
1198 config/tc-visium.$(OBJEXT): config/$(am__dirstamp) \
1199 config/$(DEPDIR)/$(am__dirstamp)
1200 config/tc-wasm32.$(OBJEXT): config/$(am__dirstamp) \
1201 config/$(DEPDIR)/$(am__dirstamp)
1202 config/tc-xstormy16.$(OBJEXT): config/$(am__dirstamp) \
1203 config/$(DEPDIR)/$(am__dirstamp)
1204 config/tc-xgate.$(OBJEXT): config/$(am__dirstamp) \
1205 config/$(DEPDIR)/$(am__dirstamp)
1206 config/tc-xtensa.$(OBJEXT): config/$(am__dirstamp) \
1207 config/$(DEPDIR)/$(am__dirstamp)
1208 config/tc-z80.$(OBJEXT): config/$(am__dirstamp) \
1209 config/$(DEPDIR)/$(am__dirstamp)
1210 config/tc-z8k.$(OBJEXT): config/$(am__dirstamp) \
1211 config/$(DEPDIR)/$(am__dirstamp)
1212 config/bfin-lex-wrapper.$(OBJEXT): config/$(am__dirstamp) \
1213 config/$(DEPDIR)/$(am__dirstamp)
1214 config/xtensa-relax.$(OBJEXT): config/$(am__dirstamp) \
1215 config/$(DEPDIR)/$(am__dirstamp)
1216 config/te-vms.$(OBJEXT): config/$(am__dirstamp) \
1217 config/$(DEPDIR)/$(am__dirstamp)
1218 config/obj-aout.$(OBJEXT): config/$(am__dirstamp) \
1219 config/$(DEPDIR)/$(am__dirstamp)
1220 config/obj-coff.$(OBJEXT): config/$(am__dirstamp) \
1221 config/$(DEPDIR)/$(am__dirstamp)
1222 config/obj-ecoff.$(OBJEXT): config/$(am__dirstamp) \
1223 config/$(DEPDIR)/$(am__dirstamp)
1224 config/obj-elf.$(OBJEXT): config/$(am__dirstamp) \
1225 config/$(DEPDIR)/$(am__dirstamp)
1226 config/obj-evax.$(OBJEXT): config/$(am__dirstamp) \
1227 config/$(DEPDIR)/$(am__dirstamp)
1228 config/obj-fdpicelf.$(OBJEXT): config/$(am__dirstamp) \
1229 config/$(DEPDIR)/$(am__dirstamp)
1230 config/obj-macho.$(OBJEXT): config/$(am__dirstamp) \
1231 config/$(DEPDIR)/$(am__dirstamp)
1232 config/obj-multi.$(OBJEXT): config/$(am__dirstamp) \
1233 config/$(DEPDIR)/$(am__dirstamp)
1234 config/obj-som.$(OBJEXT): config/$(am__dirstamp) \
1235 config/$(DEPDIR)/$(am__dirstamp)
1236 config/atof-ieee.$(OBJEXT): config/$(am__dirstamp) \
1237 config/$(DEPDIR)/$(am__dirstamp)
1238 config/atof-vax.$(OBJEXT): config/$(am__dirstamp) \
1239 config/$(DEPDIR)/$(am__dirstamp)
1240 config/e-crisaout.$(OBJEXT): config/$(am__dirstamp) \
1241 config/$(DEPDIR)/$(am__dirstamp)
1242 config/e-criself.$(OBJEXT): config/$(am__dirstamp) \
1243 config/$(DEPDIR)/$(am__dirstamp)
1244 config/e-i386aout.$(OBJEXT): config/$(am__dirstamp) \
1245 config/$(DEPDIR)/$(am__dirstamp)
1246 config/e-i386coff.$(OBJEXT): config/$(am__dirstamp) \
1247 config/$(DEPDIR)/$(am__dirstamp)
1248 config/e-i386elf.$(OBJEXT): config/$(am__dirstamp) \
1249 config/$(DEPDIR)/$(am__dirstamp)
1250 config/e-mipself.$(OBJEXT): config/$(am__dirstamp) \
1251 config/$(DEPDIR)/$(am__dirstamp)
1252 config/m68k-parse.$(OBJEXT): config/$(am__dirstamp) \
1253 config/$(DEPDIR)/$(am__dirstamp)
1254 config/bfin-parse.$(OBJEXT): config/$(am__dirstamp) \
1255 config/$(DEPDIR)/$(am__dirstamp)
1256 config/bfin-lex.$(OBJEXT): config/$(am__dirstamp) \
1257 config/$(DEPDIR)/$(am__dirstamp)
1258 config/rl78-parse.$(OBJEXT): config/$(am__dirstamp) \
1259 config/$(DEPDIR)/$(am__dirstamp)
1260 config/rx-parse.$(OBJEXT): config/$(am__dirstamp) \
1261 config/$(DEPDIR)/$(am__dirstamp)
1262 config/loongarch-parse.$(OBJEXT): config/$(am__dirstamp) \
1263 config/$(DEPDIR)/$(am__dirstamp)
1264 config/loongarch-lex.$(OBJEXT): config/$(am__dirstamp) \
1265 config/$(DEPDIR)/$(am__dirstamp)
1266
1267 as-new$(EXEEXT): $(as_new_OBJECTS) $(as_new_DEPENDENCIES) $(EXTRA_as_new_DEPENDENCIES)
1268 @rm -f as-new$(EXEEXT)
1269 $(AM_V_CCLD)$(LINK) $(as_new_OBJECTS) $(as_new_LDADD) $(LIBS)
1270
1271 itbl-test$(EXEEXT): $(itbl_test_OBJECTS) $(itbl_test_DEPENDENCIES) $(EXTRA_itbl_test_DEPENDENCIES)
1272 @rm -f itbl-test$(EXEEXT)
1273 $(AM_V_CCLD)$(LINK) $(itbl_test_OBJECTS) $(itbl_test_LDADD) $(LIBS)
1274
1275 mostlyclean-compile:
1276 -rm -f *.$(OBJEXT)
1277 -rm -f config/*.$(OBJEXT)
1278
1279 distclean-compile:
1280 -rm -f *.tab.c
1281
1282 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app.Po@am__quote@
1283 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
1284 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atof-generic.Po@am__quote@
1285 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgen.Po@am__quote@
1286 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress-debug.Po@am__quote@
1287 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cond.Po@am__quote@
1288 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depend.Po@am__quote@
1289 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dw2gencfi.Po@am__quote@
1290 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf2dbg.Po@am__quote@
1291 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecoff.Po@am__quote@
1292 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehopt.Po@am__quote@
1293 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Po@am__quote@
1294 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-copy.Po@am__quote@
1295 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-konst.Po@am__quote@
1296 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-mult.Po@am__quote@
1297 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frags.Po@am__quote@
1298 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
1299 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-file.Po@am__quote@
1300 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-scrub.Po@am__quote@
1301 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-lex.Po@am__quote@
1302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-ops.Po@am__quote@
1303 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-parse.Po@am__quote@
1304 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listing.Po@am__quote@
1305 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/literal.Po@am__quote@
1306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/macro.Po@am__quote@
1307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
1308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output-file.Po@am__quote@
1309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
1310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remap.Po@am__quote@
1311 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sb.Po@am__quote@
1312 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs.Po@am__quote@
1313 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subsegs.Po@am__quote@
1314 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symbols.Po@am__quote@
1315 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write.Po@am__quote@
1316 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-ieee.Po@am__quote@
1317 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-vax.Po@am__quote@
1318 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex-wrapper.Po@am__quote@
1319 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex.Po@am__quote@
1320 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-parse.Po@am__quote@
1321 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-crisaout.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-criself.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386aout.Po@am__quote@
1324 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386coff.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386elf.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-mipself.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-lex.Po@am__quote@
1328 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-parse.Po@am__quote@
1329 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/m68k-parse.Po@am__quote@
1330 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-aout.Po@am__quote@
1331 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-coff.Po@am__quote@
1332 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-ecoff.Po@am__quote@
1333 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-elf.Po@am__quote@
1334 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-evax.Po@am__quote@
1335 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-fdpicelf.Po@am__quote@
1336 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-macho.Po@am__quote@
1337 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-multi.Po@am__quote@
1338 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-som.Po@am__quote@
1339 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rl78-parse.Po@am__quote@
1340 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rx-parse.Po@am__quote@
1341 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-aarch64.Po@am__quote@
1342 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-alpha.Po@am__quote@
1343 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arc.Po@am__quote@
1344 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arm.Po@am__quote@
1345 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-avr.Po@am__quote@
1346 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bfin.Po@am__quote@
1347 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bpf.Po@am__quote@
1348 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cr16.Po@am__quote@
1349 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cris.Po@am__quote@
1350 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-crx.Po@am__quote@
1351 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-csky.Po@am__quote@
1352 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d10v.Po@am__quote@
1353 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d30v.Po@am__quote@
1354 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-dlx.Po@am__quote@
1355 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-epiphany.Po@am__quote@
1356 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-fr30.Po@am__quote@
1357 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-frv.Po@am__quote@
1358 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ft32.Po@am__quote@
1359 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-h8300.Po@am__quote@
1360 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-hppa.Po@am__quote@
1361 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-i386.Po@am__quote@
1362 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ia64.Po@am__quote@
1363 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ip2k.Po@am__quote@
1364 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-iq2000.Po@am__quote@
1365 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-lm32.Po@am__quote@
1366 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-loongarch.Po@am__quote@
1367 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32c.Po@am__quote@
1368 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32r.Po@am__quote@
1369 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68hc11.Po@am__quote@
1370 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68k.Po@am__quote@
1371 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mcore.Po@am__quote@
1372 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mep.Po@am__quote@
1373 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-metag.Po@am__quote@
1374 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-microblaze.Po@am__quote@
1375 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mips.Po@am__quote@
1376 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mmix.Po@am__quote@
1377 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10200.Po@am__quote@
1378 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10300.Po@am__quote@
1379 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-moxie.Po@am__quote@
1380 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-msp430.Po@am__quote@
1381 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mt.Po@am__quote@
1382 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nds32.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nios2.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ns32k.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-or1k.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pdp11.Po@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pj.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ppc.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pru.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-riscv.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rl78.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rx.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s12z.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s390.Po@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-score.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sh.Po@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sparc.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-spu.Po@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic30.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic4x.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic54x.Po@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic6x.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilegx.Po@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilepro.Po@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-v850.Po@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-vax.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-visium.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-wasm32.Po@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xgate.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xstormy16.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xtensa.Po@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z80.Po@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z8k.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/te-vms.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/xtensa-relax.Po@am__quote@
1416
1417 .c.o:
1418 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1419 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1420 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1421 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1422 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1423 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1424
1425 .c.obj:
1426 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1427 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1428 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1429 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1430 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1431 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1432
1433 .c.lo:
1434 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1435 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1436 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1437 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1438 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1439 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1440
1441 .l.c:
1442 $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1443
1444 .y.c:
1445 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1446
1447 mostlyclean-libtool:
1448 -rm -f *.lo
1449
1450 clean-libtool:
1451 -rm -rf .libs _libs
1452
1453 distclean-libtool:
1454 -rm -f libtool config.lt
1455 doc/$(am__dirstamp):
1456 @$(MKDIR_P) doc
1457 @: > doc/$(am__dirstamp)
1458
1459 doc/as.info: doc/as.texi $(doc_as_TEXINFOS)
1460 @test -f doc/$(am__dirstamp) || $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
1461 $(AM_V_MAKEINFO)restore=: && backupdir="$(am__leading_dot)am$$$$" && \
1462 rm -rf $$backupdir && mkdir $$backupdir && \
1463 if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
1464 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
1465 if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
1466 done; \
1467 else :; fi && \
1468 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1469 -o $@ `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1470 then \
1471 rc=0; \
1472 else \
1473 rc=$$?; \
1474 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
1475 fi; \
1476 rm -rf $$backupdir; exit $$rc
1477
1478 doc/as.dvi: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1479 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1480 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1481 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
1482 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1483
1484 doc/as.pdf: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1485 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1486 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1487 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
1488 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1489
1490 doc/as.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1491 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
1492 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1493 -o $(@:.html=.htp) `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1494 then \
1495 rm -rf $@ && mv $(@:.html=.htp) $@; \
1496 else \
1497 rm -rf $(@:.html=.htp); exit 1; \
1498 fi
1499 .dvi.ps:
1500 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1501 $(DVIPS) $(AM_V_texinfo) -o $@ $<
1502
1503 uninstall-dvi-am:
1504 @$(NORMAL_UNINSTALL)
1505 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1506 for p in $$list; do \
1507 $(am__strip_dir) \
1508 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
1509 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
1510 done
1511
1512 uninstall-html-am:
1513 @$(NORMAL_UNINSTALL)
1514 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
1515 for p in $$list; do \
1516 $(am__strip_dir) \
1517 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
1518 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
1519 done
1520
1521 uninstall-info-am:
1522 @$(PRE_UNINSTALL)
1523 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
1524 list='$(INFO_DEPS)'; \
1525 for file in $$list; do \
1526 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1527 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
1528 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
1529 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
1530 done; \
1531 else :; fi
1532 @$(NORMAL_UNINSTALL)
1533 @list='$(INFO_DEPS)'; \
1534 for file in $$list; do \
1535 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1536 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
1537 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
1538 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
1539 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
1540 else :; fi); \
1541 done
1542
1543 uninstall-pdf-am:
1544 @$(NORMAL_UNINSTALL)
1545 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1546 for p in $$list; do \
1547 $(am__strip_dir) \
1548 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
1549 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
1550 done
1551
1552 uninstall-ps-am:
1553 @$(NORMAL_UNINSTALL)
1554 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1555 for p in $$list; do \
1556 $(am__strip_dir) \
1557 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
1558 rm -f "$(DESTDIR)$(psdir)/$$f"; \
1559 done
1560
1561 dist-info: $(INFO_DEPS)
1562 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1563 list='$(INFO_DEPS)'; \
1564 for base in $$list; do \
1565 case $$base in \
1566 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
1567 esac; \
1568 if test -f $$base; then d=.; else d=$(srcdir); fi; \
1569 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
1570 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
1571 if test -f $$file; then \
1572 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
1573 test -f "$(distdir)/$$relfile" || \
1574 cp -p $$file "$(distdir)/$$relfile"; \
1575 else :; fi; \
1576 done; \
1577 done
1578
1579 mostlyclean-aminfo:
1580 -rm -rf doc/as.t2d doc/as.t2p
1581
1582 clean-aminfo:
1583 -test -z "doc/as.dvi doc/as.pdf doc/as.ps doc/as.html" \
1584 || rm -rf doc/as.dvi doc/as.pdf doc/as.ps doc/as.html
1585
1586 maintainer-clean-aminfo:
1587 @list='$(INFO_DEPS)'; for i in $$list; do \
1588 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
1589 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
1590 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
1591 done
1592 install-man1: $(man_MANS)
1593 @$(NORMAL_INSTALL)
1594 @list1=''; \
1595 list2='$(man_MANS)'; \
1596 test -n "$(man1dir)" \
1597 && test -n "`echo $$list1$$list2`" \
1598 || exit 0; \
1599 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1600 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1601 { for i in $$list1; do echo "$$i"; done; \
1602 if test -n "$$list2"; then \
1603 for i in $$list2; do echo "$$i"; done \
1604 | sed -n '/\.1[a-z]*$$/p'; \
1605 fi; \
1606 } | while read p; do \
1607 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1608 echo "$$d$$p"; echo "$$p"; \
1609 done | \
1610 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1611 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1612 sed 'N;N;s,\n, ,g' | { \
1613 list=; while read file base inst; do \
1614 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1615 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1616 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1617 fi; \
1618 done; \
1619 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1620 while read files; do \
1621 test -z "$$files" || { \
1622 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1623 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1624 done; }
1625
1626 uninstall-man1:
1627 @$(NORMAL_UNINSTALL)
1628 @list=''; test -n "$(man1dir)" || exit 0; \
1629 files=`{ for i in $$list; do echo "$$i"; done; \
1630 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1631 sed -n '/\.1[a-z]*$$/p'; \
1632 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1633 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1634 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1635
1636 # This directory's subdirectories are mostly independent; you can cd
1637 # into them and run 'make' without going through this Makefile.
1638 # To change the values of 'make' variables: instead of editing Makefiles,
1639 # (1) if the variable is set in 'config.status', edit 'config.status'
1640 # (which will cause the Makefiles to be regenerated when you run 'make');
1641 # (2) otherwise, pass the desired values on the 'make' command line.
1642 $(am__recursive_targets):
1643 @fail=; \
1644 if $(am__make_keepgoing); then \
1645 failcom='fail=yes'; \
1646 else \
1647 failcom='exit 1'; \
1648 fi; \
1649 dot_seen=no; \
1650 target=`echo $@ | sed s/-recursive//`; \
1651 case "$@" in \
1652 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1653 *) list='$(SUBDIRS)' ;; \
1654 esac; \
1655 for subdir in $$list; do \
1656 echo "Making $$target in $$subdir"; \
1657 if test "$$subdir" = "."; then \
1658 dot_seen=yes; \
1659 local_target="$$target-am"; \
1660 else \
1661 local_target="$$target"; \
1662 fi; \
1663 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1664 || eval $$failcom; \
1665 done; \
1666 if test "$$dot_seen" = "no"; then \
1667 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1668 fi; test -z "$$fail"
1669
1670 ID: $(am__tagged_files)
1671 $(am__define_uniq_tagged_files); mkid -fID $$unique
1672 tags: tags-recursive
1673 TAGS: tags
1674
1675 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1676 set x; \
1677 here=`pwd`; \
1678 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1679 include_option=--etags-include; \
1680 empty_fix=.; \
1681 else \
1682 include_option=--include; \
1683 empty_fix=; \
1684 fi; \
1685 list='$(SUBDIRS)'; for subdir in $$list; do \
1686 if test "$$subdir" = .; then :; else \
1687 test ! -f $$subdir/TAGS || \
1688 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1689 fi; \
1690 done; \
1691 $(am__define_uniq_tagged_files); \
1692 shift; \
1693 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1694 test -n "$$unique" || unique=$$empty_fix; \
1695 if test $$# -gt 0; then \
1696 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1697 "$$@" $$unique; \
1698 else \
1699 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1700 $$unique; \
1701 fi; \
1702 fi
1703 ctags: ctags-recursive
1704
1705 CTAGS: ctags
1706 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1707 $(am__define_uniq_tagged_files); \
1708 test -z "$(CTAGS_ARGS)$$unique" \
1709 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1710 $$unique
1711
1712 GTAGS:
1713 here=`$(am__cd) $(top_builddir) && pwd` \
1714 && $(am__cd) $(top_srcdir) \
1715 && gtags -i $(GTAGS_ARGS) "$$here"
1716 cscope: cscope.files
1717 test ! -s cscope.files \
1718 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1719 clean-cscope:
1720 -rm -f cscope.files
1721 cscope.files: clean-cscope cscopelist
1722 cscopelist: cscopelist-recursive
1723
1724 cscopelist-am: $(am__tagged_files)
1725 list='$(am__tagged_files)'; \
1726 case "$(srcdir)" in \
1727 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1728 *) sdir=$(subdir)/$(srcdir) ;; \
1729 esac; \
1730 for i in $$list; do \
1731 if test -f "$$i"; then \
1732 echo "$(subdir)/$$i"; \
1733 else \
1734 echo "$$sdir/$$i"; \
1735 fi; \
1736 done >> $(top_builddir)/cscope.files
1737
1738 distclean-tags:
1739 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1740 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1741 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1742 @echo 'Making a new site.exp file ...'
1743 @echo '## these variables are automatically generated by make ##' >site.tmp
1744 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1745 @echo '# edit the last section' >>site.tmp
1746 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1747 @echo "set objdir `pwd`" >>site.tmp
1748 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1749 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1750 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1751 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1752 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1753 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1754 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1755 echo "## Begin content included from file $$f. Do not modify. ##" \
1756 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1757 && echo "## End content included from file $$f. ##" \
1758 || exit 1; \
1759 done >> site.tmp
1760 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1761 @if test -f site.exp; then \
1762 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1763 fi
1764 @-rm -f site.bak
1765 @test ! -f site.exp || mv site.exp site.bak
1766 @mv site.tmp site.exp
1767
1768 distclean-DEJAGNU:
1769 -rm -f site.exp site.bak
1770 -l='$(DEJATOOL)'; for tool in $$l; do \
1771 rm -f $$tool.sum $$tool.log; \
1772 done
1773 check-am: all-am
1774 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
1775 check: check-recursive
1776 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
1777 installdirs: installdirs-recursive
1778 installdirs-am:
1779 for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
1780 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1781 done
1782 install: install-recursive
1783 install-exec: install-exec-recursive
1784 install-data: install-data-recursive
1785 uninstall: uninstall-recursive
1786
1787 install-am: all-am
1788 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1789
1790 installcheck: installcheck-recursive
1791 install-strip:
1792 if test -z '$(STRIP)'; then \
1793 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1794 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1795 install; \
1796 else \
1797 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1798 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1799 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1800 fi
1801 mostlyclean-generic:
1802 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1803
1804 clean-generic:
1805
1806 distclean-generic:
1807 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1808 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1809 -rm -f config/$(DEPDIR)/$(am__dirstamp)
1810 -rm -f config/$(am__dirstamp)
1811 -rm -f doc/$(am__dirstamp)
1812 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1813
1814 maintainer-clean-generic:
1815 @echo "This command is intended for maintainers to use"
1816 @echo "it deletes files that may require special tools to rebuild."
1817 -rm -f config/bfin-lex.c
1818 -rm -f config/bfin-parse.c
1819 -rm -f config/loongarch-lex.c
1820 -rm -f config/loongarch-parse.c
1821 -rm -f config/m68k-parse.c
1822 -rm -f config/rl78-parse.c
1823 -rm -f config/rx-parse.c
1824 -rm -f itbl-lex.c
1825 -rm -f itbl-parse.c
1826 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1827 clean: clean-recursive
1828
1829 clean-am: clean-aminfo clean-generic clean-libtool \
1830 clean-noinstPROGRAMS mostlyclean-am
1831
1832 distclean: distclean-recursive
1833 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1834 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1835 -rm -f Makefile
1836 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1837 distclean-generic distclean-hdr distclean-libtool \
1838 distclean-tags
1839
1840 dvi: dvi-recursive
1841
1842 dvi-am: $(DVIS)
1843
1844 html: html-recursive
1845
1846 html-am: $(HTMLS) html-local
1847
1848 info: info-recursive
1849
1850 info-am: $(INFO_DEPS) info-local
1851
1852 install-data-am: install-info-am install-man
1853
1854 install-dvi: install-dvi-recursive
1855
1856 install-dvi-am: $(DVIS)
1857 @$(NORMAL_INSTALL)
1858 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1859 if test -n "$$list"; then \
1860 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1861 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1862 fi; \
1863 for p in $$list; do \
1864 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1865 echo "$$d$$p"; \
1866 done | $(am__base_list) | \
1867 while read files; do \
1868 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1869 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1870 done
1871 install-exec-am: install-exec-local
1872
1873 install-html: install-html-recursive
1874
1875 install-html-am: $(HTMLS)
1876 @$(NORMAL_INSTALL)
1877 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1878 if test -n "$$list"; then \
1879 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1880 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1881 fi; \
1882 for p in $$list; do \
1883 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1884 $(am__strip_dir) \
1885 d2=$$d$$p; \
1886 if test -d "$$d2"; then \
1887 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1888 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1889 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1890 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1891 else \
1892 list2="$$list2 $$d2"; \
1893 fi; \
1894 done; \
1895 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1896 while read files; do \
1897 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1898 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1899 done; }
1900 install-info: install-info-recursive
1901
1902 install-info-am: $(INFO_DEPS)
1903 @$(NORMAL_INSTALL)
1904 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1905 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1906 if test -n "$$list"; then \
1907 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1908 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1909 fi; \
1910 for file in $$list; do \
1911 case $$file in \
1912 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1913 esac; \
1914 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1915 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1916 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1917 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1918 if test -f $$ifile; then \
1919 echo "$$ifile"; \
1920 else : ; fi; \
1921 done; \
1922 done | $(am__base_list) | \
1923 while read files; do \
1924 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1925 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1926 @$(POST_INSTALL)
1927 @if $(am__can_run_installinfo); then \
1928 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1929 for file in $$list; do \
1930 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1931 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1932 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1933 done; \
1934 else : ; fi
1935 install-man: install-man1
1936
1937 install-pdf: install-pdf-recursive
1938
1939 install-pdf-am: $(PDFS)
1940 @$(NORMAL_INSTALL)
1941 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1942 if test -n "$$list"; then \
1943 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1944 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1945 fi; \
1946 for p in $$list; do \
1947 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1948 echo "$$d$$p"; \
1949 done | $(am__base_list) | \
1950 while read files; do \
1951 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1952 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1953 install-ps: install-ps-recursive
1954
1955 install-ps-am: $(PSS)
1956 @$(NORMAL_INSTALL)
1957 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1958 if test -n "$$list"; then \
1959 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1960 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
1961 fi; \
1962 for p in $$list; do \
1963 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1964 echo "$$d$$p"; \
1965 done | $(am__base_list) | \
1966 while read files; do \
1967 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1968 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
1969 installcheck-am:
1970
1971 maintainer-clean: maintainer-clean-recursive
1972 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1973 -rm -rf $(top_srcdir)/autom4te.cache
1974 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1975 -rm -f Makefile
1976 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
1977 maintainer-clean-generic
1978
1979 mostlyclean: mostlyclean-recursive
1980
1981 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
1982 mostlyclean-generic mostlyclean-libtool
1983
1984 pdf: pdf-recursive
1985
1986 pdf-am: $(PDFS)
1987
1988 ps: ps-recursive
1989
1990 ps-am: $(PSS)
1991
1992 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
1993 uninstall-man uninstall-pdf-am uninstall-ps-am
1994
1995 uninstall-man: uninstall-man1
1996
1997 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1998
1999 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
2000 am--refresh check check-DEJAGNU check-am clean clean-aminfo \
2001 clean-cscope clean-generic clean-libtool clean-noinstPROGRAMS \
2002 cscope cscopelist-am ctags ctags-am dist-info distclean \
2003 distclean-DEJAGNU distclean-compile distclean-generic \
2004 distclean-hdr distclean-libtool distclean-tags dvi dvi-am html \
2005 html-am html-local info info-am info-local install install-am \
2006 install-data install-data-am install-dvi install-dvi-am \
2007 install-exec install-exec-am install-exec-local install-html \
2008 install-html-am install-info install-info-am install-man \
2009 install-man1 install-pdf install-pdf-am install-ps \
2010 install-ps-am install-strip installcheck installcheck-am \
2011 installdirs installdirs-am maintainer-clean \
2012 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
2013 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic \
2014 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
2015 uninstall-am uninstall-dvi-am uninstall-html-am \
2016 uninstall-info-am uninstall-man uninstall-man1 \
2017 uninstall-pdf-am uninstall-ps-am
2018
2019 .PRECIOUS: Makefile
2020
2021 po/POTFILES.in: @MAINT@ Makefile
2022 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
2023 && mv tmp $(srcdir)/po/POTFILES.in
2024
2025 diststuff: $(EXTRA_DIST) info
2026
2027 check-DEJAGNU: site.exp
2028 if [ -d testsuite ]; then \
2029 true; \
2030 else \
2031 mkdir testsuite; \
2032 fi
2033 rm -f testsuite/site.exp
2034 cp site.exp testsuite/site.exp
2035 rootme=`pwd`; export rootme; \
2036 srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
2037 LC_ALL=C; export LC_ALL; \
2038 EXPECT=${EXPECT} ; export EXPECT ; \
2039 runtest=$(RUNTEST); \
2040 cd testsuite; \
2041 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
2042 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
2043 $(RUNTESTFLAGS); \
2044 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
2045 fi
2046
2047 development.exp: $(BFDDIR)/development.sh
2048 $(EGREP) "(development|experimental)=" $(BFDDIR)/development.sh \
2049 | $(AWK) -F= '{ print "set " $$1 " " $$2 }' > $@
2050 config/m68k-parse.c: $(srcdir)/config/m68k-parse.y
2051 $(SHELL) $(YLWRAP) $(srcdir)/config/m68k-parse.y y.tab.c $@ -- $(YACCCOMPILE)
2052 config/m68k-parse.h: config/m68k-parse.c
2053 @true
2054 config/bfin-parse.c: $(srcdir)/config/bfin-parse.y
2055 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-parse.y y.tab.c $@ y.tab.h config/bfin-parse.h -- $(YACCCOMPILE) -d ;
2056 config/bfin-parse.h: config/bfin-parse.c
2057 @true
2058 config/bfin-lex.c: $(srcdir)/config/bfin-lex.l
2059 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2060
2061 config/bfin-lex-wrapper.@OBJEXT@: config/bfin-lex.c config/bfin-parse.h
2062 config/rl78-parse.c: $(srcdir)/config/rl78-parse.y
2063 $(SHELL) $(YLWRAP) $(srcdir)/config/rl78-parse.y y.tab.c $@ y.tab.h config/rl78-parse.h -- $(YACCCOMPILE) -d ;
2064 config/rl78-parse.h: config/rl78-parse.c
2065 @true
2066 config/rx-parse.c: $(srcdir)/config/rx-parse.y
2067 $(SHELL) $(YLWRAP) $(srcdir)/config/rx-parse.y y.tab.c $@ y.tab.h config/rx-parse.h -- $(YACCCOMPILE) -d ;
2068 config/rx-parse.h: config/rx-parse.c
2069 @true
2070 config/loongarch-parse.c: $(srcdir)/config/loongarch-parse.y
2071 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-parse.y y.tab.c $@ y.tab.h config/loongarch-parse.h -- $(YACCCOMPILE) -d ;
2072 config/loongarch-parse.h: config/loongarch-parse.c
2073 @true
2074 config/loongarch-lex.c: $(srcdir)/config/loongarch-lex.l
2075 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2076
2077 config/loongarch-lex-wrapper.@OBJEXT@: config/loongarch-lex.c config/loongarch-parse.h
2078
2079 # The mips instruction table specification lexical analyzer and parser.
2080
2081 itbl-lex-wrapper.@OBJEXT@: itbl-lex.c itbl-parse.h
2082
2083 itbl-parse.c: $(srcdir)/itbl-parse.y
2084 $(SHELL) $(YLWRAP) $(srcdir)/itbl-parse.y y.tab.c $@ y.tab.h itbl-parse.h -- $(YACCCOMPILE) -d
2085
2086 itbl-parse.h: itbl-parse.c
2087 @true
2088
2089 itbl-ops.@OBJEXT@: itbl-parse.h
2090
2091 itbl-tops.@OBJEXT@: itbl-ops.c itbl-parse.h
2092 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -o $@ -c -DSTAND_ALONE $(srcdir)/itbl-ops.c
2093 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2094 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-ops.c' object='$@' libtool=no @AMDEPBACKSLASH@
2095 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2096 @am__fastdepCC_FALSE@ $(COMPILE) -o $@ -DSTAND_ALONE -c $(srcdir)/itbl-ops.c
2097
2098 itbl-test.@OBJEXT@: $(srcdir)/testsuite/gas/all/itbl-test.c
2099 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2100 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2101 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-test.c' object='$@' libtool=no @AMDEPBACKSLASH@
2102 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2103 @am__fastdepCC_FALSE@ $(COMPILE) -c -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2104
2105 cgen.@OBJEXT@: cgen.c cgen.h cgen-desc.h subsegs.h \
2106 $(INCDIR)/obstack.h $(INCDIR)/opcode/cgen.h \
2107 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-desc.h \
2108 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-opc.h
2109
2110 .PHONY: install-exec-local install-data-local
2111 .PHONY: install-exec-bindir install-exec-tooldir
2112
2113 install-exec-local: install-exec-bindir @install_tooldir@
2114
2115 install-exec-bindir: $(noinst_PROGRAMS)
2116 $(mkinstalldirs) $(DESTDIR)$(bindir)
2117 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
2118 if test -f $$p; then \
2119 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
2120 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
2121 else :; fi; \
2122 done
2123
2124 install-exec-tooldir: install-exec-bindir $(noinst_PROGRAMS)
2125 $(mkinstalldirs) $(DESTDIR)$(tooldir)/bin
2126 n=`echo as | sed '$(transform)'`; \
2127 if [ "$(bindir)/$$n$(EXEEXT)" != "$(tooldir)/bin/as$(EXEEXT)" ]; then \
2128 rm -f $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2129 ln $(DESTDIR)$(bindir)/$$n$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT) >/dev/null 2>/dev/null \
2130 || $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) as-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2131 else \
2132 true ; \
2133 fi
2134
2135 # These exist for maintenance purposes.
2136
2137 .PHONY: bootstrap bootstrap2 bootstrap3 stage1 stage2 stage3 comparison
2138
2139 bootstrap: as-new$(EXEEXT)
2140 $(MAKE) stage1
2141 rm -f stage && ln -s stage1 stage
2142 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2143 $(MAKE) stage2
2144 rm -f stage && ln -s stage2 stage
2145 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2146 $(MAKE) comparison against=stage2
2147
2148 bootstrap2:
2149 rm -f stage && ln -s stage1 stage
2150 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2151 $(MAKE) stage2
2152 rm -f stage && ln -s stage2 stage
2153 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2154 $(MAKE) comparison against=stage2
2155
2156 bootstrap3:
2157 rm -f stage && ln -s stage2 stage
2158 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2159 $(MAKE) comparison against=stage2
2160
2161 # Copy the object files from a particular stage into a subdirectory.
2162 stage1:
2163 -mkdir stage1
2164 -mv $(STAGESTUFF) stage1
2165 if [ -f stage1/as-new$(EXEEXT) -a ! -f stage1/as$(EXEEXT) ] ; then (cd stage1 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2166
2167 stage2:
2168 -mkdir stage2
2169 -mv $(STAGESTUFF) stage2
2170 if [ -f stage2/as-new$(EXEEXT) -a ! -f stage2/as$(EXEEXT) ] ; then (cd stage2 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2171
2172 stage3:
2173 -mkdir stage3
2174 -mv $(STAGESTUFF) stage3
2175 if [ -f stage3/as-new$(EXEEXT) -a ! -f stage3/as$(EXEEXT) ] ; then (cd stage3 ; ln -s as-new as$(EXEEXT)) ; fi
2176
2177 comparison:
2178 x=0 ; \
2179 for file in *.@OBJEXT@ ; do \
2180 f1=./$$file; f2=${against}/$$file; \
2181 $(do_compare) > /dev/null 2>&1; \
2182 if test $$? -ne 0; then \
2183 echo $$file differs ; \
2184 x=1 ; \
2185 fi ; \
2186 done ; \
2187 exit $$x
2188 -rm -f tmp-foo*
2189
2190 .PHONY: de-stage1 de-stage2 de-stage3
2191
2192 de-stage1:
2193 - (cd stage1 ; rm -f as$(EXEEXT) ; mv -f * ..)
2194 - rmdir stage1
2195
2196 de-stage2:
2197 - (cd stage2 ; rm -f as$(EXEEXT) ; mv -f * ..)
2198 - rmdir stage2
2199
2200 de-stage3:
2201 - (cd stage3 ; rm -f as$(EXEEXT) ; mv -f * ..)
2202 - rmdir stage3
2203
2204 doc/asconfig.texi: doc/$(CONFIG).texi doc/$(am__dirstamp)
2205 $(AM_V_at)rm -f doc/asconfig.texi
2206 $(AM_V_GEN)cp $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi
2207 $(AM_V_at)chmod u+w doc/asconfig.texi
2208
2209 # Maintenance
2210
2211 # We need it for the taz target in ../Makefile.in.
2212 info-local: $(MANS)
2213
2214 # Build the man page from the texinfo file
2215 # The sed command removes the no-adjust Nroff command so that
2216 # the man output looks standard.
2217 doc/as.1: $(srcdir)/doc/as.texi doc/asconfig.texi $(CPU_DOCS) doc/$(am__dirstamp)
2218 $(AM_V_GEN)touch $@
2219 $(AM_V_at)-$(TEXI2POD) $(MANCONF) < $(srcdir)/doc/as.texi > doc/as.pod
2220 $(AM_V_at)-($(POD2MAN) doc/as.pod | \
2221 sed -e '/^.if n .na/d' > $@.T$$$$ && \
2222 mv -f $@.T$$$$ $@) || \
2223 (rm -f $@.T$$$$ && exit 1)
2224 $(AM_V_at)rm -f doc/as.pod
2225
2226 html-local: doc/as/index.html
2227 doc/as/index.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
2228 $(AM_V_GEN)$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) \
2229 --split=node -I$(srcdir)/doc -o doc/as $(srcdir)/doc/as.texi
2230
2231 # Tell versions [3.59,3.63) of GNU make to not export all variables.
2232 # Otherwise a system limit (for SysV at least) may be exceeded.
2233 .NOEXPORT: